I have been working on a tool to output an image of the hatch patterns associated with materials in my file. I have been mostly working off of the code from this project by
Thanks!
I have been working on a tool to output an image of the hatch patterns associated with materials in my file. I have been mostly working off of the code from this project by
Thanks!
My Revit 2020 application had a problem when exiting the application and/or closing a project. I went through the Forums and found a solution from 2017 by JvanReij (the link to the solution is at the bottom). He suggested cutting all of Revit's add-ins from the "Addins" folder and install them back one-by-one, whilst restarting and closing Revit after each of them is put back, and figuring out which of the add-ins was causing the issue.
Turns out it was the "Autodesk.SiteDesignerExtension.addin" file. I deleted the add-in altogether and Revit seems to be running normally now. However, I use that extension frequently and I downloaded the add-in from the Product and Services tab.
The error still persists ad the Site Designer extension was last updated on Apr 10, 2019.
Is there any way to get this ADDIN file without the issue?
Thank you.
JvanReij's Solution:
Looks interesting. I'll look into this next week as well. Will report if I find anything.
Here's another approach for what you want, just for your reference.
foreach(Face f in solid.Faces) { if (f.ComputeNormal(new UV(0.5,0.5)).IsAlmostEqualTo(XYZ.BasisZ.Negate())) //get bottom face { foreach(EdgeArray edgeArr in f.EdgeLoops) { foreach(Edge edge in edgeArr) { ReferenceArray refArray = new ReferenceArray(); refArray.Append(edge.GetEndPointReference(0)); refArray.Append(edge.GetEndPointReference(1)); XYZ offsetVec = instanceTransform.OfVector(edge.Evaluate(0.5)).Normalize(); XYZ p1 = instanceTransform.OfPoint(edge.Evaluate(0)) + offsetVec; XYZ p2 = instanceTransform.OfPoint(edge.Evaluate(1)) + offsetVec; Line line = Line.CreateBound(p1, p2); doc.Create.NewDimension(doc.ActiveView,line , refArray); } } } }
Unfortunately, this is not the best place to ask such a question.
Please note that this discussion forum is dedicated to programming Revit using the Revit API.
You are not programming anything yourself, so your question is more of an end user question than an API one.
Therefore, you cannot expect an answer to a question such as yours relating to installation, product usage or end user support issues here.
You should try one of the non-API Revit product support discussion forums instead for that:
The people there are much better equipped to answer your question than us programming nerds.
I hope this clarifies.
Thank you for your cooperation and understanding.
Best regards,
Jeremy
Unfortunately, this is not the best place to ask such a question.
Please note that this discussion forum is dedicated to programming Revit using the Revit API.
Therefore, you cannot expect an answer to a question such as yours relating to installation, product usage or end user support issues here.
You should try one of the non-API Revit product support discussion forums instead for that:
The people there are much better equipped to answer your question than us programming nerds.
I hope this clarifies.
Thank you for your cooperation and understanding.
Best regards,
Jeremy
Thank you very much for sharing your solution! Glad to hear it worked!
hi
have a look at line ~400:
https://github.com/tt-acm/DynamoForRebar/blob/master/src/DynamoRebar/Nodes.cs
Best,
Thomas
Dear Revit API community,
The Revit product team is conducting a survey to improve the functionality of the Revit services.
Please help them prioritize new features and upcoming enhancements to future releases of the Autodesk Revit API and the Forge Design Automation for Revit API by taking a brief survey.
Survey is open till September 6th.
It's been a while since we had this last time. Let's have our voice heard! With Design Automation added to this community, exciting time with new opportunity ahead.
Hello friends
I'm looking for information
to add tag to a detail item family
but I can't add the tag
I found an example that adds the tag to a door
Can somebody help me.
regards
example code:
// Get the door tag
FamilySymbol doorTagType = (from tag in new FilteredElementCollector(doc)
.OfClass(typeof(FamilySymbol)).OfCategory(BuiltInCategory.OST_DoorTags)
.Cast<FamilySymbol>() where tag.Name == "Door Tag" select tag).First();
I can't find the option:
BuiltInCategory.OST_DoorTags = BuiltInCategory.OST_DetailItemTags (does not exist?)
Hello friends
developing an application I found
with the following problem
all parameters are changed except one
The value entered is not assigned to the parameter value.
is type Length te value of family.....
any suggestions?
regards
Hi:
I have tried to bind a List of Autodesk.Revit.DB.Level elements to a WPF ComboBox control.
Here are my codes:
Before you read these codes, please make sure that you understand the WPF Item Template , and Control Template, which are the very basis of writing MVVM view XAML codes.
Note that WPF ComboBox provides an easy access to set "which C# property to display" via DisplayMemberPath dependency property.
<ComboBox SelectedValue="{Binding SelectedReferLevel, Mode=TwoWay}" ItemsSource="{Binding LevelsItemsSource}" DisplayMemberPath="Name" />
The Binding Source property "LevelsItemsSource" is of type <List<Level>>, and Level.Name provides a string showing the Name of a Level.
Hope this helps 🙂
Oops, I didn't mean to reply you. I'm sure that I was supposed to reply the Host
I rarely use "Model" in MVVM pattern for a Revit Element. Element provides enough propertyies for "View" displaying.
Hi
my suggestion is
1)create a transaction
2)place the family instance
3)commit the transaction
4)create a second transaction
5)change the parameter values.
6)commit the second transaction.
If the above steps didn't work...then the problem may be with your parameter so inspect your parameter.
Is it possible to change parameter value via Ui?
I hope this helps.
It doesn't work. And also I tried some, however, none of them haven't been working.
Thanks for your recommend, anyway!!
Thanks for your recommend. But, neither of them are working. Thanks anyway.
Hello,
As you know there are a couple of buttons(Finish & Cancel) from UIDocument.Selection.PickObjects().
I know ESC is for Cancel, however, the shortcut for Finish hasn't been found out yet.
Does anyone know if the shortcut exists? Or is there a way to set up?
Any update on this? (referring to the option to be able to edit a forum post) It would certainly benefit this Forum.
HI
I think in Revit there is no shortcut option for finish.
You can only finish your selection by clicking the Finish button.
If there is a button option for finish then it would have been mentioned here(REFER THE ATTACHED IMAGE)
I hope this helps.
Hi,
you need to use the correct unit.
The displayed value reminds me to the meter/feet conversion factor...
Revitalizer